{% extends 'base.html.twig' %}

{% block body -%}
<main class='main-content bgc-grey-100'>
    <div id='mainContent'>
    <h1>Liste IP</h1>

    <table class="table table-striped table-hover ">

    <thead>
            <tr>
                <th></th>
                <th>Nome</th>
                <th>Ip mikrotik</th>
                <th>Azioni</th>
            </tr>
        </thead>
        <tbody>
        {% for entity in pagination %}
            <tr data-list-name="{{ entity.nome }}">
                <td>
                    {% if entity.state=='active' %}
                        <i class="fas fa-globe"></i>
                        {% if entity.endingTime %}{{ entity.endingTime }}{% endif %}
                        {% if entity.activedBy != "" %}<br /><div class="badge text-bg-success lh-0 p-10">{{ entity.activedBy }}</div>{% endif %}
                    {% endif %}
                </td>
                <td>
                    {% if is_granted('ROLE_ADMIN') %}<a href="{{ path('mikrotik_list_edit', { 'id': entity.id }) }}">{% endif %}
                        {{ entity.nome }}
                    {% if is_granted('ROLE_ADMIN') %}</a>{% endif %}
                </td>
                <td>{{ entity.mikrotik }}</td>
                <td>
                    {% if entity.state=='not-active' %}
                        <button id="internetOn-{{ entity.id }}" class="btn btn-success internetOn">
                            <i class="fas fa-clock"></i> Attiva
                        </button>
                    {% elseif entity.state=='activating' %}
                        <span class="badge bg-warning align-self-center">In Attivazione</span>
                    {% else %}
                        <button id="internetEx-{{ entity.id }}" class="btn btn-warning internetOn">
                            <i class="fas fa-clock"></i> Estendi
                        </button>
                        <a href="{{ path('internetOffIpList',{'mikrotikListId': entity.id}) }}" class="btn btn-danger"
                                {% if entity.activedByOtherUser %} onclick="return confirm('Non sei stato tu ad abilitare quest\'aula. Sicuro di volerla disattivare?')"{% endif %}
                        >
                            Disattiva
                        </a>
                    {% endif %}

                    {% if is_granted('ROLE_ADMIN') %}
                    <a href="{{ path('mikrotik_list_edit', { 'id': entity.id }) }}" class="btn btn-primary">
                        Modifica
                    </a>
                    {% endif %}
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <div class="row">
        <div class="col-12 col-md-6 col-xl-4 mb-3 d-grid gap-2 d-xl-flex align-items-center justify-content-center justify-content-md-start order-0">
            <div class="navigation">
                {{ knp_pagination_render(pagination) }}
            </div>
        </div>
        <div class="col-12 col-xl-4 mb-2 d-grid gap-2 d-xl-flex align-items-center justify-content-xl-center order-2 order-xl-1">
            <a class="btn btn-success" href="{{ path('mikrotik_list_new') }}">
                Aggiungi una nuova lista
            </a>
        </div>
        <div class="col-12 col-md-6 col-xl-4 mb-3 d-grid gap-2 d-xl-flex align-items-center justify-content-md-end order-1 order-xl-2">
            <form class="form-search" action="{{ path('mikrotik_list') }}">
                <div class="d-flex gap-1">
                    <input type="text"  style="width: inherit; display: inline;"
                           id="queryString" name="queryString" class="form-control flex-grow-1 flex-md-grow-0" placeholder="Cerca"
                           value="{{ (queryString is defined)?queryString|escape('html') }}">
                    <button class="btn btn-secondary" type="submit">
                        <i class="fa-solid fa-magnifying-glass"></i>
                    </button>
                </div>
            </form>
        </div>
    </div>



        <div class="modal fade" id="setTime" tabindex="-1" aria-labelledby="setTime" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Attivazione internet</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <div class="form-inline">
                            <div class="mb-3">
                                <label for="timeToSet">Attiva <span id="setTimeUser"></span> fino alle:</label>
                                <input type="time" id="timeToSet" class="form-control"
                                       value="{{ timeToSet|date("H:i") }}" title="orario di fine"/>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button id="setTimeConfirm" type="button" class="btn btn-primary">Invia</button>
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Chiudi</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>

{% endblock %}


{% block javascripts %}
    {{ parent() }}
    <script type="text/javascript">
        {% set activatePath = "internetOnIpList" %}
        {% set checkPath = "internetIpListIsOn" %}

        {% include 'components/ip_list_activation_modal.js.twig' %}
    </script>
{% endblock %}
